
Showroom Mobile Banking - Enhancement #12929

Savings On-Boarding 

21 December 2021 11:03 AM - Keat San Khor

Status: Resolved Start date: 21 December 2021

Priority: Normal Due date:  

Assignee: Keat San Khor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

When performing Savings On-boarding, was able to create savings account and was given a new online ID.

Logged in using new online ID but was unable to top up and activate the savings account using FPX.

This is a regulatory requirement that all new savings accounts created must be activated and topped up with FPX on the next log-in.

History

#1 - 21 December 2021 05:53 PM - Keat San Khor

- Assignee set to Hoo Dextor

#2 - 23 December 2021 09:52 AM - Hoo Dextor

- Status changed from New to Assigned

- Assignee changed from Hoo Dextor to Megat AhmadSalehudin

#3 - 07 January 2022 04:05 PM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r215656 | ahmadsalehudin | 2022-01-07 15:45:56 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/home/home.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/accounts.effects.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/constants.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/FPX/fpx.service.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/FPX/fpx.effects.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/accounts.actions.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/effects/common.effects.ts
#4 - 11 January 2022 06:58 PM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

Released v1.0.0.1 SIT

#5 - 12 January 2022 10:58 AM - Hoo Dextor

- Assignee changed from Hoo Dextor to Keat San Khor

kindly download and install the latest app 1.0.0.1 from https://dev.silverlakemobility.com/release/showroom/my/index.php

#6 - 12 January 2022 02:36 PM - Keat San Khor

- Assignee changed from Keat San Khor to David Wong

#7 - 13 January 2022 10:37 AM - David Wong

- Status changed from Pending SIT  to Resolved

- Assignee changed from David Wong to Keat San Khor

I've deployed the fixes into IBM Cloud

#8 - 13 January 2022 03:19 PM - Megat AhmadSalehudin

- Assignee changed from Keat San Khor to Hoo Dextor

r215772 | ahmadsalehudin | 2022-01-13 14:26:36 MYT

Changed paths:

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers/CustomTabServiceHelper.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers/ServiceConnectionCallback.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/build/android

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/package.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers/ServiceConnection.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/LICENSE

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/ios

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/readme.md

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim
A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim/slide_in_left.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim/slide_in_right.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/ChromeCustomTabPlugin.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/ios/SafariViewController.h

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/ios/SafariViewController.m

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/plugin.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/README.md

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/config.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers/CustomTabsHelper.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim/slide_out_right.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/build

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/www

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/www/SafariViewController.js

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim/slide_out_left.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/build/android/SafariViewController-java18.gradle

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/package.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/plugins/inapp-bro

wser/inapp-browser.service.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/.DS_Store

Megat - Set safariviewcontroller as local plugin

----------------------------------------------------------------------------

Root Cause: safariviewcontroller plugin not installed

Solution: Fixed by adding safariviewcontroller plugin into config.xml so cordova will automatically install the plugin and fixed some exception when url

is null
#9 - 13 January 2022 03:21 PM - Megat AhmadSalehudin

- Assignee changed from Hoo Dextor to Keat San Khor

Wrong redmine updated.

Files

Storyboard Savings on-boarding enhancement.pptx 2.15 MB 21 December 2021 Keat San Khor
